import { DataType } from "./types";
/**
 * Parses URL parameter as string
 */
export declare const StringDatatype: DataType<string>;
/**
 * Interprets URL parameter as integer
 */
export declare const IntDatatype: DataType<number>;
/**
 * Interprets URL parameter as boolean. If the parameter is present the value is true, false otherwise
 */
export declare const BoolDatatype: DataType<boolean>;
/**
 * Interprets URL parameter as an array of strings, that is the parameter might be present multiple times
 */
export declare const ArrayDatatype: DataType<string[]>;
/**
 * Helper function to generate a new datatype that is an array of strings but serialized within one
 * param=value url parameter with values separated by the given separator
 */
export declare function separatedArrayDatatype(separator: string): DataType<string[]>;
/**
 * parses param=v1,v2,v3,... into [v1,v2,v3] string array
 */
export declare const CommaArrayDatatype: DataType<string[]>;
/**
 * parses param=v1%20v2%20v3... into [v1,v2,v3] string array
 */
export declare const SpaceArrayDatatype: DataType<string[]>;
